//===========================================================================
// Copyright  2000 Thin Air Enterprises and Robert Dunn.  All rights reserved.
// Free for non-commercial use.  Commercial use requires license agreement.
// See http://home.att.net/~robertdunn/Yacs.html for the most current version.
//===========================================================================
//---------------------------------------------------------------------------
// FindDlg.h - header for FindDlg.cpp.
//---------------------------------------------------------------------------
#ifndef FindDlgH
#define FindDlgH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TFindForm : public TForm
{
__published:	// IDE-managed Components
	TMemo *RegExpMemo;
	TButton *FindNextBtn;
	TButton *CancelBtn;
	TCheckBox *AnchoredCB;
	TCheckBox *CaselessCB;
	TCheckBox *DollarEndOnlyCB;
	TCheckBox *DotAllCB;
	TCheckBox *ExtendedCB;
	TCheckBox *ExtraCB;
	TCheckBox *MultiLineCB;
	TCheckBox *UngreedyCB;
	TBevel *Bevel1;
	TButton *FindPrevBtn;
	void __fastcall RegExpMemoChange(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TFindForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFindForm *FindForm;
//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------
// end of FindDlg.h
//---------------------------------------------------------------------------
//===========================================================================
// Copyright  2000 Thin Air Enterprises and Robert Dunn.  All rights reserved.
// Free for non-commercial use.  Commercial use requires license agreement.
// See http://home.att.net/~robertdunn/Yacs.html for the most current version.
//===========================================================================

