//===========================================================================
// Copyright  2000 Thin Air Enterprises and Robert Dunn.  All rights reserved.
// Free for non-commercial use.  Commercial use requires license agreement.
// See http://home.att.net/~robertdunn/Yacs.html for the most current version.
//===========================================================================
//---------------------------------------------------------------------------
// LogoMain.h - header file for LogoMain.cpp.
//----------------------------------------------------------------------------
#ifndef LogoMainH
#define LogoMainH
//----------------------------------------------------------------------------
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Windows.hpp>
#include <vcl\System.hpp>
#include <ActnList.hpp>
#include <ImgList.hpp>
#include <StdActns.hpp>
#include <ToolWin.hpp>
//----------------------------------------------------------------------------
class TLogoAppForm : public TForm
{
__published:
	TOpenDialog *OpenDialog;
	TSaveDialog *SaveDialog;
        TToolBar *ToolBar1;
        TToolButton *ToolButton1;
        TToolButton *ToolButton2;
        TToolButton *ToolButton3;
        TToolButton *ToolButton4;
        TToolButton *ToolButton5;
        TToolButton *ToolButton6;
        TToolButton *ToolButton7;
        TToolButton *ToolButton8;
        TToolButton *ToolButton9;
        TActionList *ActionList1;
        TAction *FileNew1;
        TAction *FileOpen1;
        TAction *FileSave1;
        TAction *FileSaveAs1;
        TAction *FileSend1;
        TAction *FileExit1;
        TEditCut *EditCut1;
        TEditCopy *EditCopy1;
        TEditPaste *EditPaste1;
        TAction *HelpAbout1;
        TStatusBar *StatusBar;
        TImageList *ImageList1;
        TRichEdit *RichEdit1;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *FileNewItem;
        TMenuItem *FileOpenItem;
        TMenuItem *FileSaveItem;
        TMenuItem *FileSaveAsItem;
        TMenuItem *N1;
        TMenuItem *FileSendItem;
        TMenuItem *FileExitItem;
        TMenuItem *CutItem;
        TMenuItem *CopyItem;
        TMenuItem *PasteItem;
        TMenuItem *Help1;
        TMenuItem *HelpAboutItem;
	TAction *SearchFind1;
	TMenuItem *Search1;
	TMenuItem *Find1;
	TMenuItem *FindAgain1;
	TToolButton *ToolButton10;
	TToolButton *ToolButton11;
	TAction *SearchNext1;
	TAction *SearchPrev1;
	TToolButton *ToolButton13;
	TToolButton *ToolButton14;
	TMenuItem *Previous1;
	TAction *SearchVersion1;
	TMenuItem *PCREVersion1;
	void __fastcall FileNew1Execute(TObject *Sender);
	void __fastcall FileOpen1Execute(TObject *Sender);
	void __fastcall FileSave1Execute(TObject *Sender);
	void __fastcall FileSaveAs1Execute(TObject *Sender);
	void __fastcall FileSend1Execute(TObject *Sender);
	void __fastcall FileExit1Execute(TObject *Sender);
	void __fastcall HelpAbout1Execute(TObject *Sender);
	void __fastcall SearchFind1Execute(TObject *Sender);
	void __fastcall RichEdit1Change(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall SearchNext1Execute(TObject *Sender);
	void __fastcall SearchPrev1Execute(TObject *Sender);
	void __fastcall SearchVersion1Execute(TObject *Sender);
private:
	AnsiString FFileName;
public:
	virtual __fastcall TLogoAppForm(TComponent *Owner);
	void __fastcall EnableFindAgain(bool enable);
	void __fastcall MatchFailed(void);
	void __fastcall BuildMatchTable(void);
	void __fastcall MoveNext(void);
	void __fastcall MovePrev(void);
	void __fastcall SelectText(int index);
};
//----------------------------------------------------------------------------
extern TLogoAppForm *LogoAppForm;
//----------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------
// end of LogoMain.h
//---------------------------------------------------------------------------
//===========================================================================
// Copyright  2000 Thin Air Enterprises and Robert Dunn.  All rights reserved.
// Free for non-commercial use.  Commercial use requires license agreement.
// See http://home.att.net/~robertdunn/Yacs.html for the most current version.
//===========================================================================
    
